/* -*- C++ -*- Time-stamp: <14 Nov 00 20:51:41 Michael Bischoff> */

/*****************************************************************************/
/*									     */
/*									     */
/*	QMatchIt version 1.0 -- file qsprites.h				     */
/*									     */
/*	Include file for the sprite classes of QMatchIt			     */
/*	written by Michael Bischoff (Michael.Bischoff@gmx.net)		     */
/*	November-2000							     */
/*	see COPYRIGHT.qmatchit for Copyright details			     */
/*									     */
/*									     */
/*****************************************************************************/

#ifndef FIELDGRAPHICS_H
#define FIELDGRAPHICS_H

#include <qcanvas.h>
#include "field.h"
#include "canvas.h"


class fieldGraphics : public QCanvasSprite {
    field *fp;		// field pointer points to logical information

public:
    fieldGraphics(field *a_field, int x, int y);
    void setXY(int x, int y);
    void advance(int);
    int rtti() const { return fp->rtti(); };
};

#endif
